> For the complete documentation index, see [llms.txt](https://docs.release.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.release.com/reference-documentation/helm/getting-started.md).

# Getting started

To get started using Helm with Release, you'll need to add a few files to your repository.

Create the following files:

```
.release.yaml
.release/application_template.yaml
.release/environment_variables.yaml
```

## The `.release.yaml` file

The `.release.yaml` file is loaded during application creation. It defines where Release will find the default Application Template and environment variables to use to create an application.

The `.release.yaml` file could look something like this:

```
application_template: .release/application_template.yaml
environment_variables: .release/environment_variables.yaml
```

## The Application Template file

The `application-template.yaml` file is the default Application Template generated when you create an application. The Application Template is also used for deployment in GitOps-enabled applications.

An Application Template that deploys Elasticsearch via Helm would look something like this:

```
---
app: elasticsearch-helm
auto_deploy: true
context: release-handsup-us-east-1
domain: elasticsearch-helm.rls.sh
mode: development
repo_name: awesome-release/elasticsearch-helm
environment_templates:
- name: ephemeral
- name: permanent
resources:
  cpu:
    limits: 1000m
    requests: 100m
  memory:
    limits: 1Gi
    requests: 100Mi
  replicas: 1
charts:
- name: elasticsearch
  add: elastic
  repo_url: https://helm.elastic.co
  directory: elasticsearch
  values: 
  - values.yaml
workflows:
- name: setup
  parallelize:
  - step: elasticsearch
    tasks:
    - charts.elasticsearch
- name: patch
  parallelize:
  - step: elasticsearch
    tasks:
    - charts.elasticsearch
```

## The Environment Variables file

The `environment-variables.yaml` file defines your application's default environment variables. These environment variables will be passed to your Helm charts and are used to populate your Helm `values.yaml` file.

Here is an example `environment-variables.yaml` file with a username and password that can be consumed by your Helm `values.yaml` file:

```
---
defaults:
- key: ELASTICSEARCH_USERNAME
  value: elastic
  secret: false
- key: ELASTICSEARCH_PASSWORD
  value: supersecret
  secret: true
services: {}
```

Once you have created these files and checked them in to your source control repository, you are ready to create an application. See [Create an application](https://github.com/releasehub-com/docs/blob/main/reference-guide/helm/broken-reference/README.md) to learn more about how to make an application in Release.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.release.com/reference-documentation/helm/getting-started.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
